<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DFIN XBRL Instance Document - http://www.dfinsolutions.com/ - Version R3.0 - on 09-March-2026 [02:57:20] {PM}-->
<schema targetNamespace="http://www.tfin.com/20251231" elementFormDefault="qualified" xmlns:tfin="http://www.tfin.com/20251231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:us-gaap="http://fasb.org/us-gaap/2025" xmlns:country="http://xbrl.sec.gov/country/2025" xmlns:dei="http://xbrl.sec.gov/dei/2025" xmlns:us-types="http://fasb.org/us-types/2025" xmlns:deprecated="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" xmlns:srt="http://fasb.org/srt/2025" xmlns:srt-types="http://fasb.org/srt-types/2025" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31">
  <annotation>
    <appinfo>
      <link:linkbase id="lnk" >
        <link:roleRef xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpDisclosure" roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure"  />
        <link:roleRef xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpAdjustmentsOnly" roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"  />
        <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" >
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="loc_ecd_AllAdjToCompMember_131279875" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsReportedInSummaryCompensationMember" xlink:label="loc_TFIN_StockAwardsReportedInSummaryCompensationMember_131279919" />
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember_131279875" xlink:to="loc_TFIN_StockAwardsReportedInSummaryCompensationMember_131279919" order="100" preferredLabel="http://www.xbrl.org/2003/role/label" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" xlink:label="loc_TFIN_StockAwardsForfeitedDuringCoveredFiscalYearMember_131279920" />
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember_131279875" xlink:to="loc_TFIN_StockAwardsForfeitedDuringCoveredFiscalYearMember_131279920" order="101" preferredLabel="http://www.xbrl.org/2003/role/label" />
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PayVsPerformanceDisclosureLineItems" xlink:label="loc_ecd_PayVsPerformanceDisclosureLineItems_131279878" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_MeasurementPeriod" xlink:label="loc_TFIN_MeasurementPeriod_131279917" />
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_PayVsPerformanceDisclosureLineItems_131279878" xlink:to="loc_TFIN_MeasurementPeriod_131279917" order="100" preferredLabel="http://www.xbrl.org/2003/role/label" />
        </link:presentationLink>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"  />
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"  />
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"  />
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"  />
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"  />
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/notAll" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#notAll"  />
        <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" >
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="loc_ecd_AllAdjToCompMember_131279875" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsReportedInSummaryCompensationMember" xlink:label="loc_TFIN_StockAwardsReportedInSummaryCompensationMember_131279919" />
          <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember_131279875" xlink:to="loc_TFIN_StockAwardsReportedInSummaryCompensationMember_131279919" order="100" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" xlink:label="loc_TFIN_StockAwardsForfeitedDuringCoveredFiscalYearMember_131279920" />
          <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember_131279875" xlink:to="loc_TFIN_StockAwardsForfeitedDuringCoveredFiscalYearMember_131279920" order="101" />
        </link:definitionLink>
        <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link" >
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_MeasurementPeriod" xlink:label="loc_tfin_MeasurementPeriod" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_tfin_MeasurementPeriod" xml:lang="en-US">Measurement Period</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tfin_MeasurementPeriod" xlink:to="lab_tfin_MeasurementPeriod" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_tfin_MeasurementPeriod" xml:lang="en-US">Measurement period.</link:label>
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" xlink:label="loc_tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" xml:lang="en-US">Stock Awards Forfeited During Covered Fiscal Year [Member]</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" xlink:to="lab_tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" />
          <link:loc xlink:type="locator" xlink:href="tfin-20251231.xsd#tfin_StockAwardsReportedInSummaryCompensationMember" xlink:label="loc_tfin_StockAwardsReportedInSummaryCompensationMember" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_tfin_StockAwardsReportedInSummaryCompensationMember" xml:lang="en-US">Stock Awards Reported in Summary Compensation [Member]</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tfin_StockAwardsReportedInSummaryCompensationMember" xlink:to="lab_tfin_StockAwardsReportedInSummaryCompensationMember" />
        </link:labelLink>
      </link:linkbase>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/dei-sub/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-sub-2025.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd" />
  <import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd" />
  <import namespace="http://fasb.org/srt-types/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-types-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/ecd-sub/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-sub-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd" />
  <import namespace="http://www.xbrl.org/2006/ref" schemaLocation="http://www.xbrl.org/2006/ref-2006-02-27.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://fasb.org/srt-roles/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-roles-2025.xsd" />
  <element name="PayVsPerformanceDisclosureAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="tfin_PayVsPerformanceDisclosureAbstract" substitutionGroup="xbrli:item" />
  <element name="StockAwardsForfeitedDuringCoveredFiscalYearMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="tfin_StockAwardsForfeitedDuringCoveredFiscalYearMember" substitutionGroup="xbrli:item" />
  <element name="StockAwardsReportedInSummaryCompensationMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="tfin_StockAwardsReportedInSummaryCompensationMember" substitutionGroup="xbrli:item" />
  <element name="MeasurementPeriod" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="tfin_MeasurementPeriod" substitutionGroup="xbrli:item" />
  <element name="InsiderTradingPoliciesAndProceduresAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="tfin_InsiderTradingPoliciesAndProceduresAbstract" substitutionGroup="xbrli:item" />
  <element name="AwardTimingDisclosureAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="tfin_AwardTimingDisclosureAbstract" substitutionGroup="xbrli:item" />
</schema>